/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Top20;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface Top20FacadeLocal {

    void create(Top20 top20);

    void edit(Top20 top20);

    void remove(Top20 top20);

    Top20 find(Object id);

    List<Top20> findAll();

    List<Top20> findRange(int[] range);

    int count();

    Double totalVenta();

    Integer totalClienteConPedidos();

    Integer totalClientesSinPedido();

}
